--- loadData Load data required to run the game
function loadData()

    -- Enemy monster definition, it's just a simple table
    -- Adjusting settings will give you different behaviour
    RAT = 
    {
        class = Monster, 
        args = 
        {
            {
                sprite = "rat",
                ax = 0.5, ay = 0.75,
                height = 1.25,
                health = 5,
                speed = 1.3,
                scale = 0.75,
                xp = 5,
                mask = PLAYER_CAT | WEAPON_CAT
            }
        }
    }
    
    RAT_BOSS = 
    {
        class = Monster, 
        args = 
        {
            {
                sprite = "rat",
                ax = 0.5, ay = 0.75,
                height = 1.25,
                health = 75,
                speed = 0.7,
                xp = 50,
                scale = 1.5,
            }
        }
    }
     
    BAT = 
    {
        class = Monster, 
        args = 
        {
            {
                sprite = "bat",
                ax = 0.5, ay = 0.75,
                height = 1.25,
                health = 10,
                speed = 1.3,
                xp = 5
            }
        }
    }

    BAT_SWARM = 
    {
        class = Monster, 
        args = 
        {
            {
                sprite = "bat",
                ax = 0.5, ay = 0.75,
                height = 1.25,
                health = 10,
                speed = 2.5,
                xp = 5
            }
        }
    }
    
        
    BAT_BOSS = 
    {
        class = Monster, 
        args = 
        {
            {
                sprite = "bat",
                ax = 0.5, ay = 0.75,
                height = 1.25,
                health = 100,
                speed = 1,
                scale = 1.5,
                sturdyness = 0.6,
                xp = 50,
            }
        }
    }
    

    WIZARD = 
    {
        class = Monster, 
        args = 
        {
            {
                sprite = "wizard",
                ax = 0.5, ay = 0.75,
                height = 1.5,
                health = 30,
                xp = 8
            }
        }
    }

    GHOST = 
    {
        class = Monster, 
        args = 
        {
            {
                sprite = "ghost",
                ax = 0.5, ay = 0.75,
                height = 1.5,
                health = 200,
                speed = 0.6,
                xp = 20,
                mask = PLAYER_CAT | WEAPON_CAT
            }
        }
    }
    
    CRAB = 
    {
        class = Monster, 
        args = 
        {
            {
                sprite = "crab",
                ax = 0.5, ay = 0.75,
                height = 1.5,
                health = 100,
                speed = 0.5,
                xp = 10,
                sturdyness = 0.5
            }
        }
    }

    CYCLOPS = 
    {
        class = Monster, 
        args = 
        {
            {
                sprite = "cyclops",
                ax = 0.5, ay = 0.75,
                height = 1.5,
                health = 500,
                speed = 0.5,
                xp = 50,
                sturdyness = 0.7,
                scale = 1.25,
            }
        }
    }
    
    DEATH = 
    {
        class = Monster, 
        args = 
        {
            {
                sprite = "ghost",
                ax = 0.5, ay = 0.75,
                height = 1.5,
                health = 10000,
                speed = 5,
                xp = 10000,
                sturdyness = 0.75,
                mask = PLAYER_CAT | WEAPON_CAT
            }
        }
    }
    
        
WAVES = 
{
    -- 1
    {
        enemies = {BAT, RAT},
        spawnRate = 1,
        initial = 10,
        events = 
        {
            [5] = {"spawnSwarm", chance = 1, args = {count = 5, enemy = BAT_SWARM}},
            [45] = {"spawnBoss", chance = 1, args = {enemy = RAT_BOSS}},            
            [30] = {"spawnSwarm", chance = 1, args = {count = 5, enemy = BAT_SWARM}},
            [55] = {"spawnSwarm", chance = 1, args = {count = 5, enemy = BAT_SWARM}},
        }
    },
    -- 2
    {
        enemies = {BAT, RAT, WIZARD},
        spawnRate = 0.8,
        initial = 20,
        events = 
        {
            [5] = {"spawnBoss", chance = 1, args = {enemy = RAT_BOSS}},
            [10] = {"spawnBoss", chance = 1, args = {enemy = BAT_BOSS}},
            [30] = {"spawnSwarm", chance = 1, args = {count = 5, enemy = BAT_SWARM}},
        }
    },
    -- 3
    {
        enemies = {BAT, WIZARD, CRAB},
        spawnRate = 0.6,
        initial = 30,
        events = 
        {
            [10] = {"spawnBoss", chance = 1, args = {enemy = RAT_BOSS}},
            [30] = {"spawnSwarm", chance = 1, args = {count = 4, enemy = GHOST}},
        }            
    },
    -- 4
    {
        enemies = {WIZARD, CRAB, GHOST},
        spawnRate = 0.2,
        initial = 50
    },
    -- 5
    {
        enemies = {WIZARD, CRAB, GHOST},
        spawnRate = 0.1,
        initial = 75
    },
    -- 6
    {
        enemies = {WIZARD, CRAB, GHOST},
        spawnRate = 0.05,
        initial = 125
    },        
    -- 7
    {
        enemies = {WIZARD, CRAB, GHOST},
        spawnRate = 0.04,
        initial = 125
    },        
    -- 8
    {
        enemies = {WIZARD, CRAB, GHOST, CYCLOPS},
        spawnRate = 0.03,
        initial = 125
    },            
    -- 9
    {
        enemies = {WIZARD, CRAB, GHOST, CYCLOPS},
        spawnRate = 0.02,
        initial = 200
    },
}
    
end